Bug 242203 - Review Request: arm-gp2x-linux-kernel-headers - Kernel headers for Cross Compiling to arm-gp2x-linux
Review Request: arm-gp2x-linux-kernel-headers - Kernel headers for Cross Comp...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-06-02 03:05 EDT by Hans de Goede
Modified: 2010-09-06 19:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-27 17:55:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-06-02 03:05:17 EDT
Spec URL: http://people.atrpms.net/~hdegoede/arm-gp2x-linux-kernel-headers.spec
SRPM URL: http://people.atrpms.net/~hdegoede/arm-gp2x-linux-kernel-headers-
Kernel headers for Cross Compiling to arm-gp2x-linux.
Comment 1 Kevin Kofler 2007-07-26 15:40:15 EDT
Reviewing this one.
Comment 2 Kevin Kofler 2007-07-27 08:02:19 EDT
+ rpmlint output OK:
  + SRPM has empty output.
  + main package has these:
    W: arm-gp2x-linux-kernel-headers 
devel-file-in-non-devel-package /usr/arm-gp2x-linux/include/linux/list.h
    (and many more like this)
    which is OK because this is a -headers package :-) and this:
    W: arm-gp2x-linux-kernel-headers non-standard-dir-in-usr arm-gp2x-linux
    which is OK for a cross-toolchain package
+ named and versioned according to the Package Naming Guidelines
+ spec file name matches base package name
+ Packaging Guidelines:
  + License GPL OK, matches actual license
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
  + Complies with the FHS (with the cross-toolchain exception 
for %{_prefix}/%{target})
  + proper changelog, tags, BuildRoot, Requires (none needed), BuildRequires 
(likewise), Summary, Description
  + no non-UTF-8 characters
  + relevant documentation is included
  + nothing to build, so RPM_OPT_FLAGS are irrelevant
  + no debuginfo package because this is noarch and nothing is compiled
  + no static libraries nor .la files
  + no duplicated system libraries
  + no rpaths as there are no binaries
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + no executables, so no .desktop file present or needed
  + no timestamp-clobbering file commands
  + _smp_mflags irrelevant because nothing is compiled
  + scriptlets are valid
  + not a web application, so web application guideline doesn't apply
  + no conflicts
+ complies with all the legal guidelines
! This package is missing a copy of the GPL (as COPYING)
+ spec file written in American English
+ spec file is legible
+ source matches upstream:
  MD5SUM: eae2f562afe224ad50f65a6acfb4252c
  SHA1SUM: e72c9b260995b269c9fb9248ed468c18fb01f3fd
+ builds on at least one arch (F7 i386 live system)
+ no known non-working arches, so no ExcludeArch needed
+ no missing BR (none needed)
+ no translations, so translation/locale guidelines don't apply
+ no shared libraries, so no ldconfig calls needed
+ package not relocatable
+ ownership correct (owns package-specific directories, doesn't own directories 
owned by another package)
+ no duplicate files in %files
+ permissions set properly
+ %clean section present and correct
+ macros used where possible
+ no non-code content
+ no large documentation files, so no -doc package needed
+ %doc files not required at runtime
+ this is a -headers package, so it's normal that it contains header files ;-)
+ no static libraries, so no -static package needed
+ no .pc files, so no Requires: pkgconfig needed
+ no shared libraries, so .so symlink guidelines don't apply
+ no -devel package, so the guideline to require the main package in it doesn't 
+ no .la files
+ no GUI programs (in fact, no executables at all), so no .desktop file needed
+ buildroot is deleted at the beginning of %install
  (same nitpick about mkdir $RPM_BUILD_ROOT as for arm-gp2x-linux-binutils)
+ all filenames are valid UTF-8

! license (the Linux kernel COPYING, not LICENSE which just refers to it) not 
included upstream. Upstream being dead, it's unlikely they'll ever add it, so 
I'd suggest adding it yourself.
+ no translations for description and summary provided by upstream
* Skipping mock test.
* Skipping the "all architectures" test, I only have i386. This is noarch 
+ package functions as described (includes the headers it's supposed to 
+ scriptlets are sane
+ no subpackages other than -devel, so "Usually, subpackages other than devel 
should require the base package using a fully versioned dependency." is 
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies

A copy of the Linux kernel COPYING (GPL v2 with the "v2 only" annotation at the 
top) SHOULD be included.

As this is only a SHOULD item, this package is APPROVED.
Comment 3 Hans de Goede 2007-07-27 11:52:20 EDT
Thanks for the review!

New Package CVS Request
Package Name:      arm-gp2x-linux-kernel-headers
Short Description: Kernel headers for Cross Compiling to arm-gp2x-linux
Owners:            j.w.r.degoede@hhs.nl
Branches:          FC-6 F-7 devel 
InitialCC:         <empty>
Comment 4 Hans de Goede 2007-07-27 17:55:33 EDT
imported and build, closing.
Comment 5 Kevin Kofler 2007-07-28 08:07:19 EDT
2 done, 4 to go...
Comment 6 Kevin Kofler 2007-07-28 09:28:04 EDT
Michael Schwendt noticed that the %files section is missing the 
required %defattr:
Comment 7 Hans de Goede 2010-09-06 04:48:09 EDT
Package Change Request
Package Name: arm-gp2x-linux-kernel-headers
New Branches: el6
Owners: jwrdegoede
Comment 8 Kevin Fenzi 2010-09-06 19:43:06 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.